Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QUuid.Version

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QUuid.Version

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QUuid

    public static final class QUuid.Version

extends java.lang.Enum
implements QtEnumerator

This enum defines the version of the UUID.

See Also:
  Serialized Form

Field Summary
`static QUuid.Version` | `EmbeddedPOSIX` DCE Security version, with embedded POSIX UUIDs
`static QUuid.Version` | `Name` Name-based, by using values from a name for all sections
`static QUuid.Version` | `Random` Random-based, by using random numbers for all sections
`static QUuid.Version` | `Time` Time-based, by using timestamp, clock sequence, and MAC network card address (if available) for the node sections
`static QUuid.Version` | `VerUnknown` Version is unknown

Method Summary
`static QUuid.Version` | `resolve(int value)` Returns the Version constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QUuid.Version` | `valueOf(java.lang.String name)`
`static QUuid.Version[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VerUnknown

    public static final QUuid.Version VerUnknown

  Version is unknown

### Time

    public static final QUuid.Version Time

  Time-based, by using timestamp, clock sequence, and MAC network card address (if available) for the node sections

### EmbeddedPOSIX

    public static final QUuid.Version EmbeddedPOSIX

  DCE Security version, with embedded POSIX UUIDs

### Name

    public static final QUuid.Version Name

  Name-based, by using values from a name for all sections

### Random

    public static final QUuid.Version Random

  Random-based, by using random numbers for all sections

Method Detail

### values

    public static QUuid.Version[] values()

### valueOf

    public static QUuid.Version valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QUuid.Version resolve(int value)

  Returns the Version constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD